package com.compdfkit.tools.pdfview;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.FrameLayout;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.compdfkit.core.document.CPDFDocument;
import com.compdfkit.ui.reader.CPDFReaderView;


public class PDFReaderView extends FrameLayout {

    private CPDFReaderView cPdfReaderView;

    public PDFReaderView(@NonNull Context context) {
        super(context);
        initCPDFReaderView();
    }

    public PDFReaderView(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initCPDFReaderView();
    }

    public PDFReaderView(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }


    private void initCPDFReaderView() {
        cPdfReaderView = new CPDFReaderView(getContext());
        addView(cPdfReaderView);
    }

    public void openPDFFile(String pdfFilePath) {
        CPDFDocument cpdfDocument = new CPDFDocument(getContext());
        CPDFDocument.PDFDocumentError pdfDocumentError = cpdfDocument.open(pdfFilePath);
        switch (pdfDocumentError) {
            case PDFDocumentErrorSuccess:
                cPdfReaderView.setPDFDocument(cpdfDocument);
                break;
            case PDFDocumentErrorPassword:
                break;
            default:
                break;
        }
    }


}
